| The Gaudi Framework v29r0 (ff2e7097)

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes | Private Member Functions | List of all members
GaudiConfig.ControlFlow.InvertNode Class Reference
Inheritance diagram for GaudiConfig.ControlFlow.InvertNode:
[legend]
Collaboration diagram for GaudiConfig.ControlFlow.InvertNode:
[legend]

## Public Member Functions
def | __init__ (self, item)
def | __repr__ (self)
Public Member Functions inherited from GaudiConfig.ControlFlow.ControlFlowNode
def | __and__ (self, rhs)
def | __or__ (self, rhs)
def | __invert__ (self)
def | __rshift__ (self, rhs)
def | visitNode (self, visitor)
def | __eq__ (self, other)
def | getFullName (self)

## Public Attributes
| item

## Private Member Functions
def | _visitSubNodes (self, visitor)

## Detailed Description

    Invert logic (negation) of a control flow node.

Definition at line 138 of file ControlFlow.py.

## Constructor & Destructor Documentation

def GaudiConfig.ControlFlow.InvertNode.__init__ | ( |  | self,
|  |  | item
| ) |  |

Definition at line 143 of file ControlFlow.py.

143 def __init__(self, item):
144 self.item = item
145
GaudiConfig.ControlFlow.InvertNode.item
item
Definition: ControlFlow.py:144
GaudiConfig.ControlFlow.InvertNode.__init__
def __init__(self, item)
Definition: ControlFlow.py:143

## Member Function Documentation

def GaudiConfig.ControlFlow.InvertNode.__repr__ | ( |  | self | ) |

Definition at line 146 of file ControlFlow.py.

146 def __repr__(self):
147 return "~%r" % self.item
148
GaudiConfig.ControlFlow.InvertNode.item
item
Definition: ControlFlow.py:144
GaudiConfig.ControlFlow.InvertNode.__repr__
def __repr__(self)
Definition: ControlFlow.py:146

def GaudiConfig.ControlFlow.InvertNode._visitSubNodes | ( |  | self,
|  |  | visitor
| ) |  |
| private

Definition at line 149 of file ControlFlow.py.

149 def _visitSubNodes(self, visitor):
150 self.item.visitNode(visitor)
151
152
GaudiConfig.ControlFlow.InvertNode._visitSubNodes
def _visitSubNodes(self, visitor)
Definition: ControlFlow.py:149

## Member Data Documentation

GaudiConfig.ControlFlow.InvertNode.item

Definition at line 144 of file ControlFlow.py.

The documentation for this class was generated from the following file:

- GaudiKernel/python/GaudiConfig/ControlFlow.py